Subject: bug#49985: Bootstrap packages fail to build due to mes-libc lacking 'stat64' etc. syscalls

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 15 Feb 2023 09:45:45 +0100

Jan Nieuwenhuizen writes:

Hello,

> To use stat64 and friends on 32bit, I created the attached patch for GNU
> Mes and hope to create a 0.24.2 release from
>
>     https://gitlab.com/janneke/mes/-/tree/wip-stat64
>
> Also, I have update my core-updates branch with preliminary 0.24.2 mes
> and mes-boot packages here
>
>     https://gitlab.com/janneke/guix/-/tree/core-updates

I've got a confirmation this works*, have released 0.24.2 and updated
mes-boot on core-updates as
    b928e38bd333e6186727fe5c5e94b85d157b79d6

Hoping to finally close these bugs!

Greetings,
Janneke

*) https://lists.gnu.org/archive/html/guix-devel/2023-02/msg00137.html

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com